Skip to main content
PATCH
/
v3
/
vehicle-manufacturers
/
{vehicle_manufacturer_id}
Update a vehicle manufacturer
curl --request PATCH \
  --url https://api.ctrl-hub.com/v3/vehicle-manufacturers/{vehicle_manufacturer_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>"
    }
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>"
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {}
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ctrl-hub.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

vehicle_manufacturer_id
string<uuid>
required

The unique identifier for the vehicle manufacturer.

Body

application/vnd.api+json

The vehicle manufacturer to update.

data
object
required

Response

Get a vehicle manufacturer.

JSON API response object

data
object
required

A vehicle manufacturer

jsonapi
object
required